## Name

pl_lft_llt_d — Legendre-Fenchel conjugate, LLT algorithm on {1,...,n}

## Calling Sequence

    Conj = pl_lft_llt_d(Y)

## Parameters

Y

  column vector. The value of the function on the grid {1,...,n}: usually Y(i)=f(i) for some function f, with 1 <= i <= n and n=length(Y).

Conj

  column vector. Contains the value of the conjugate f* of the function f evaluated at the points j. In other words: Conj(j) = Max(j * i - Y(i) | over all indexes i).

## Description

<listitem>

Wrap over for easier computation of distance transforms. The function calls pl_lft_llt(X,Y,S) with n=length(Y), X=(1:1:n)' and S=X. See pl_lft_llt for more information.

</listitem>

## Examples

                row = [1 2.5 5 8.5 13]';
                conj_part = -1.*pl_lft_llt_d(row);
                b = isequal(conj_part, [0 -1.5 -4 -7.5 -12]');

## See Also

pl_lft_llt , pl_lft_direct_d

## Authors

`Yves Lucet`, University of British Columbia, BC, Canada

## Used Functions

pl_lft_llt